function zarovnat( varargin )
%funkce pro zobrazeni vzoroveho obrazce na pozadi a nakresleneho obrazce
global Data poz Y2 img Adresar
X = Data(1).x;
Y = Y2;
if min(Y2)<0
    Y2=Y2+abs(min(Y2));
end
c=0;
poz = sort(poz)
%smycka pro vytvoreni matice ze souradnic X,Y nakresleneho obrazce
for i=1:length(poz)-1
    g=abs(poz(i+1)-poz(i));
    g=g*4;
    X1(1+c:g+c)=linspace(X(poz(i)),X(poz(i+1)),g);
    Y1(1+c:g+c)=linspace(Y(poz(i)),Y(poz(i+1)),g);
    c=length(X1); 
end

X = ceil(X);
Y = ceil(Y);
img1 = ones(720,1024,3);
img = imread('obraz.jpg');
img = im2double(img);

Y1=ceil(Y1);
X1=ceil(X1);


img1 = rgb2gray(img1);
img = rgb2gray(img);


x = strjoin({Adresar '\' 'objekty.mat'},'')
load (x);
Hrana = 5;
cla
imshow(img)
plot(X,Y,'.')

for i=1:size(objekty,2)
 
 plot(X((objekty{1,i}(1,1)):(objekty{1,i}(1,end))),Y((objekty{1,i}(1,1)):(objekty{1,i}(1,end))),'color',objekty{2,i}(1,:),'LineStyle','.')
end
 for j=1:length(poz)
        patch([(X(poz(j)) - Hrana) (X(poz(j)) + Hrana) (X(poz(j)) + Hrana) (X(poz(j)) - Hrana)], [(Y(poz(j)) - Hrana) (Y(poz(j)) - Hrana) (Y(poz(j)) + Hrana) (Y(poz(j)) + Hrana)],[1 0 0])

 end



end

